Bug 204744 - Installer crashes after rebuilding anaconda using buildinstall
Installer crashes after rebuilding anaconda using buildinstall
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
5
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-31 08:16 EDT by pakaps
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-06 01:41:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description pakaps 2006-08-31 08:16:29 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.2; en-US; rv:1.8.0.6) Gecko/20060728 Firefox/1.5.0.6

Description of problem:
I am trying to create fedora core CD and have run buildinstall. It shows the following error during buildinstall :
Patching python library...
/home/pakaps/build2
Removing unused python files in hdimage... Traceback (most recent call last):
  File "/usr/bin/anaconda", line 376, in ?
    from exception import handleException
  File "/usr/lib/anaconda/exception.py", line 24, in ?
    import rpm
  File "/usr/lib/python2.4/site-packages/rpm/__init__.py", line 7, in ?
    from _rpm import *
ImportError: libssl.so.6: cannot open shared object file: No such file or directory


Now when i boot using the iso image created from this process, anaconda crashes with following error:
Traceback (most recent call last):
  File "/usr/bin/anaconda", line 376, in ?
    from exception import handleException
  File "/usr/lib/anaconda/exception.py", line 24, in ?
    import rpm
  File "/usr/lib/python2.4/site-packages/rpm/__init__.py", line 7, in ?
    from _rpm import *
ImportError: libssl.so.6: cannot open shared object file: No such file or directory



Version-Release number of selected component (if applicable):
anaconda-11.0.5-1

How reproducible:
Always


Steps to Reproduce:
1. Run Buildinstall and create iso
2. Install ISO though cd with install options "linux text ks=floppy:/ks.cfg". installtion is from local cdrom.
3. anaconda crashes with the message

Actual Results:
Anaconda Crashes with the following message

Traceback (most recent call last):
  File "/usr/bin/anaconda", line 376, in ?
    from exception import handleException
  File "/usr/lib/anaconda/exception.py", line 24, in ?
    import rpm
  File "/usr/lib/python2.4/site-packages/rpm/__init__.py", line 7, in ?
    from _rpm import *
ImportError: libssl.so.6: cannot open shared object file: No such file or directory


Expected Results:
Instllation should have gone ahead

Additional info:
Anacoon rebuilding anaconda, the installation crashes with the following message:
Traceback (most recent call last):
  File "/usr/bin/anaconda", line 376, in ?
    from exception import handleException
  File "/usr/lib/anaconda/exception.py", line 24, in ?
    import rpm
  File "/usr/lib/python2.4/site-packages/rpm/__init__.py", line 7, in ?
    from _rpm import *
ImportError: libssl.so.6: cannot open shared object file: No such file or directory
Comment 1 Jeremy Katz 2006-09-06 01:41:57 EDT
Something is broken in your tree, possibly that it doesn't contain the proper
openssl package.  

Note You need to log in before you can comment on or make changes to this bug.